package com.ffii.lioner.modules.lioner.reportDao;

import java.util.List;
import java.util.Map;

public class AppreciationCaseReportDao{

    String formattedDateFrom;

    Long count;

    List<Map<String,Object>> recordCount;

    List<Map<String,Object>> catBreakDowns;

    String compareStr1;

    String compareStr2;

    String finYear;

    Long yearlyCount;

    List<Map<String,Object>> yearlyRecordCount;

    List<String> sbuList;

    List<AppreciationChartDataDao> chartList;
    
    String lnReceiptDateRange; 

    List<Map<String,Object>> appreciationRecordDetail;

    public AppreciationCaseReportDao(
        String formattedDateFrom, Long count, List<Map<String,Object>> recordCount,
        List<Map<String,Object>> catBreakDowns, String compareStr1, String compareStr2,
        String finYear, Long yearlyCount, List<Map<String,Object>> yearlyRecordCount,
        List<String> sbuList, List<AppreciationChartDataDao> chartList, String lnReceiptDateRange, 
        List<Map<String,Object>> appreciationRecordDetail
    ) {
        this.formattedDateFrom = formattedDateFrom;
        this.count = count;
        this.recordCount = recordCount;
        this.catBreakDowns = catBreakDowns;
        this.compareStr1 = compareStr1;
        this.compareStr2 = compareStr2;
        this.finYear = finYear;
        this.yearlyCount = yearlyCount;
        this.yearlyRecordCount = yearlyRecordCount;
        this.sbuList = sbuList;
        this.chartList = chartList;
        this.lnReceiptDateRange = lnReceiptDateRange;
        this.appreciationRecordDetail = appreciationRecordDetail;
    }

    public List<Map<String,Object>> getAppreciationRecordDetail() {
        return this.appreciationRecordDetail;
    }

    public void setAppreciationRecordDetail(List<Map<String,Object>> appreciationRecordDetail) {
        this.appreciationRecordDetail = appreciationRecordDetail;
    }

    public String getLnReceiptDateRange() {
        return this.lnReceiptDateRange;
    }

    public void setLnReceiptDateRange(String lnReceiptDateRange) {
        this.lnReceiptDateRange = lnReceiptDateRange;
    }

    public List<AppreciationChartDataDao> getChartList() {
        return this.chartList;
    }

    public void setChartList(List<AppreciationChartDataDao> chartList) {
        this.chartList = chartList;
    }

    public String getFinYear() {
        return this.finYear;
    }

    public void setFinYear(String finYear) {
        this.finYear = finYear;
    }

    public Long getYearlyCount() {
        return this.yearlyCount;
    }

    public void setYearlyCount(Long yearlyCount) {
        this.yearlyCount = yearlyCount;
    }

    public List<Map<String,Object>> getYearlyRecordCount() {
        return this.yearlyRecordCount;
    }

    public void setYearlyRecordCount(List<Map<String,Object>> yearlyRecordCount) {
        this.yearlyRecordCount = yearlyRecordCount;
    }    

    public String getFormattedDateFrom() {
        return this.formattedDateFrom;
    }

    public void setFormattedDateFrom(String formattedDateFrom) {
        this.formattedDateFrom = formattedDateFrom;
    }

    public Long getCount() {
        return this.count;
    }

    public void setCount(Long count) {
        this.count = count;
    }

    public List<Map<String,Object>> getRecordCount() {
        return this.recordCount;
    }

    public void setRecordCount(List<Map<String,Object>> recordCount) {
        this.recordCount = recordCount;
    }

    public List<Map<String,Object>> getCatBreakDowns() {
        return this.catBreakDowns;
    }

    public void setCatBreakDowns(List<Map<String,Object>> catBreakDowns) {
        this.catBreakDowns = catBreakDowns;
    }
    
    public String getCompareStr1() {
        return this.compareStr1;
    }

    public void setCompareStr1(String compareStr1) {
        this.compareStr1 = compareStr1;
    }

    public String getCompareStr2() {
        return this.compareStr2;
    }

    public void setCompareStr2(String compareStr2) {
        this.compareStr2 = compareStr2;
    }

    public List<String> getSbuList() {
        return this.sbuList;
    }

    public void setSbuList(List<String> sbuList) {
        this.sbuList = sbuList;
    }

}